Change log for pykerberos package in Ubuntu

125 of 25 results
Published in eoan-release on 2019-04-22
Deleted in eoan-proposed (Reason: moved to release)
pykerberos (1.1.14-2) unstable; urgency=medium

  * Use myself as maintainer.
    The corresponding alioth list is no more (Closes: #899662)
  * d/rules: Drop overrides that do no harm
  * d/control: Switch VCS URLs to salsa
  * d/copyright: Move global wild card to top

 -- Guido Günther <email address hidden>  Thu, 21 Mar 2019 09:40:04 +0100
Superseded in eoan-release on 2019-04-22
Published in disco-release on 2018-11-04
Deleted in disco-proposed (Reason: moved to release)
pykerberos (1.1.14-1build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 11:52:09 +0000

Available diffs

Superseded in disco-release on 2018-11-04
Published in cosmic-release on 2018-06-29
Deleted in cosmic-proposed (Reason: moved to release)
pykerberos (1.1.14-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 06:54:20 +0000
Superseded in cosmic-release on 2018-06-29
Published in bionic-release on 2017-11-30
Deleted in bionic-proposed (Reason: moved to release)
pykerberos (1.1.14-1) unstable; urgency=medium

  * Update gbp.conf to reflect our Debian branch renaming
  * New upstream version 1.1.14
  * Drop patches c-p'ed from upstream.
      Add-KDC-authenticity-verification-support-CVE-2015-3206.patch
      Drop Include-bin-login-an-example-script-allowing-the-user.patch
  * d/gbp.conf: Use new section names
  * d/control: Use https in Vcs-* URLs
  * Remove superfluous post* scripts
  * d/control: bump standards version

 -- Guido Günther <email address hidden>  Wed, 29 Nov 2017 11:03:44 +0100
Published in trusty-updates on 2018-02-06
Published in trusty-security on 2018-02-06
pykerberos (1.1+svn10616-2ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: The checkPassword function does not authenticate the
    KDC it attempts to communicate with (LP: #1716429)
    - Add-KDC-authenticity-verification-support-CVE-2015-3206.patch
      retrieved from xenial version (1.1.5-2build1).
    - CVE-2015-3206
    - debian/NEWS: add explanation of issue and default chosen

 -- Mathieu Lafon <email address hidden>  Thu, 05 Oct 2017 09:32:55 +0200
Superseded in bionic-release on 2017-11-30
Published in artful-release on 2017-08-05
Deleted in artful-proposed (Reason: moved to release)
pykerberos (1.1.5-2build3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 04 Aug 2017 18:50:19 +1200

Available diffs

Superseded in artful-release on 2017-08-05
Deleted in artful-proposed on 2017-08-06 (Reason: moved to release)
pykerberos (1.1.5-2build2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 12 May 2017 12:12:30 +1200

Available diffs

Superseded in artful-release on 2017-05-12
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-01-19
Deleted in xenial-proposed (Reason: moved to release)
pykerberos (1.1.5-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <email address hidden>  Mon, 18 Jan 2016 20:42:50 +0000
Superseded in xenial-release on 2016-01-19
Deleted in xenial-proposed on 2016-01-20 (Reason: moved to release)
pykerberos (1.1.5-2) unstable; urgency=medium

  * [d3133b6] Set verify=True in docs too.  This makes the docs consistent
    with the default behaviour of the function.
  * [792f3b6] Make verify option really optional. So far it correctly
    defaulted to true but couldn't be skipped.

 -- Guido Günther <email address hidden>  Mon, 24 Aug 2015 19:19:14 +0200
Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
pykerberos (1.1.5-0.1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <email address hidden>  Wed, 22 Jul 2015 21:21:27 +0000
Published in precise-updates on 2015-07-08
Published in precise-security on 2015-07-08
pykerberos (1.1+svn4895-1+deb6u1build0.12.04.1) precise-security; urgency=medium

  * fake sync from Debian

Superseded in wily-release on 2015-07-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
pykerberos (1.1.5-0.1) unstable; urgency=medium


  * Non-maintainer upload.
  * New upstream release (Closes: #751365).
  * Added a debian/gbp.conf.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Added python3 support.
  * Removed useless debian/pyversions and debian/pycompat.
  * Canonical VCS URLs.
  * Added a watch file.
  * debian/copyright using parseable format 1.0.
  * Added a homepage field.
  * Drops conflicts + replaces, as this is a very old version that had the
    issue and even Wheezy should be unaffected now.
  * Also cleans the build folder to allow double builds.
  * Disabled some unused dh target to speed-up the build.
  * Adds ln -s kerberos.cpython-32mu-*.so to kerberos.so in Python 3 for
    Wheezy, as otherwise it's impossible to import the module.

 -- Thomas Goirand <email address hidden>  Thu, 12 Jun 2014 12:10:09 +0800

Available diffs

Superseded in utopic-release on 2014-06-30
Published in trusty-release on 2014-01-14
Deleted in trusty-proposed (Reason: moved to release)
pykerberos (1.1+svn10616-2) unstable; urgency=low


  [ Dr. Torge Szczepanek ]
  * [283e15c] Switch to dpkg-source 3.0 (quilt) format
  * upload to unstable
  * Thanks to Guido Günther providing assistance on adoption

  [ Guido Günther ]
  * [c040b5a] Add Torge to uploaders
  * [73df52a] Bump standards version

 -- Dr. Torge Szczepanek <email address hidden>  Mon, 13 Jan 2014 15:05:59 +0100

Available diffs

Superseded in trusty-release on 2014-01-14
Deleted in trusty-proposed on 2014-01-15 (Reason: moved to release)
pykerberos (1.1+svn10616-1) unstable; urgency=low


  * [ef7f26c] New upstream version 1.1+svn10616
  * [aa395ca] Remove article form package description to make lintian happy.
  * [d74731c] Bump standards version

 -- Guido Günther <email address hidden>  Sat, 02 Nov 2013 20:46:45 +0100
Superseded in trusty-release on 2013-11-03
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-04-14
pykerberos (1.1+svn4895-1build2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.
 -- Matthias Klose <email address hidden>   Sat, 14 Apr 2012 13:43:41 +0000
Superseded in precise-release on 2012-04-14
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
pykerberos (1.1+svn4895-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:08:15 +0000
Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
pykerberos (1.1+svn4895-1) unstable; urgency=low

  * [d6e470d] fix typo in package description (Closes: #520276) - thanks to
    Era Eriksson
  * [9667199] Imported Upstream version 1.1+svn4895
  * [c253ce0] Set maintainer to Calendarserver Maintainers
  * [b81ee0b] Bump standards version
  * Many thanks to Rahul Amaram for preparing this
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 Jan 2010 07:33:06 +0000

Available diffs

Superseded in lucid-release on 2010-01-18
Obsolete in karmic-release on 2013-03-04
pykerberos (1.1-3build2) karmic; urgency=low

  * No-change rebuild against libkrb5-3

 -- Steve Langasek <email address hidden>   Thu, 10 Sep 2009 11:31:10 +0000

Available diffs

Superseded in karmic-release on 2009-09-10
Obsolete in jaunty-release on 2013-02-28
pykerberos (1.1-3build1) jaunty; urgency=low

  * No change rebuild for python2.6.

 -- Matthias Klose <email address hidden>   Thu, 26 Feb 2009 11:35:46 +0000

Available diffs

Superseded in jaunty-release on 2009-02-26
pykerberos (1.1-3) unstable; urgency=low

  * upload to unstable
  * [13c43c2] fix maintainer

Available diffs

Superseded in jaunty-release on 2008-11-23
Obsolete in intrepid-release on 2013-02-20
pykerberos (1.0+svn2455-1) unstable; urgency=low

  * [fc16d01] Forward to SVN revision 2455
  * [310bf2b] New patches:
        0001-all-invocations-of-PyCObject_Check-pystate-should-r.patch: 
            don't return error without setting an exception
        0001-make-the-user-parameter-optional.patch: 
            make gss_wrap/unwrap more flexible
  * [54f6106] Drop patches includeded upstream: 
        0001-Some-useful- constants.patch 
        0002-Wrap-Unwrap.patch
        0003-Remove-some-OS-X- specific-descriptions.patch series

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  20 Jun 2008 10:24:44 +0100

Available diffs

Superseded in intrepid-release on 2008-06-20
pykerberos (1.0+svn2447-1) unstable; urgency=low

  * upload to unstable
  * [39186bf] new upsteram SVN snapshot @2447 that has out password changing
    support (Trac: #256) merged
  * [b54f64b] Pick our wrap/unwrap patches from the more-kerberos branch of
    upstream's svn (Trac: #213, #214)
  * [5d197f5] reenable quilt

Superseded in intrepid-release on 2008-05-27
Obsolete in hardy-release on 2015-04-24
pykerberos (1.0-1) unstable; urgency=low

  * "New" upstream version
  * Upstream finally tagged a 1.0 version (which is identical to 0.0.svn1541)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  27 Oct 2007 22:24:05 +0100
Superseded in hardy-release on 2007-10-27
Obsolete in gutsy-release on 2011-09-16
pykerberos (0.0.svn1541-1) unstable; urgency=low

  * Forward to upstream svn revision 1541
  * new patch: python_includes.diff, upstream broke the python.h include again 

Superseded in gutsy-release on 2007-08-13
Obsolete in feisty-release on 2009-08-20
pykerberos (0.0.svn271-1) unstable; urgency=low

  * New Upstream Version. This fixes the bad error reporting, so after the API
    is approved stable upstream we can move this package back to testing.
  * dropped patches:
      fix-setup: fixed upstream

125 of 25 results